<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getOwnedAugmentations](./bitburner.singularity.getownedaugmentations.md)

## Singularity.getOwnedAugmentations() method

Get a list of owned augmentation.

**Signature:**

```typescript
getOwnedAugmentations(purchased?: boolean): string[];
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

purchased


</td><td>

boolean


</td><td>

_(Optional)_ Specifies whether the returned array should include Augmentations you have purchased but not yet installed. By default, this argument is false which means that the return value will NOT have the purchased Augmentations.


</td></tr>
</tbody></table>

**Returns:**

string\[\]

Array containing the names (as strings) of all Augmentations you have.

## Remarks

RAM cost: 5 GB \* 16/4/1

This function returns an array containing the names (as strings) of all Augmentations you have.

